package com.extremelogic.common.jclap;

/**
 * @author Jan So (extreme.logic at yahoo.com)
 */
public class ArgumentWrapper {
    /**
     * The description of the option provided.
     */
    private String description;

    /**
     * The option provided by the user.
     */
    private String flag;

    /**
     * The parameter count expected in this option.
     */
    private int paramCount;

    /**
     * @return the string description of this option
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description of the option provided
     */
    public void setDescription(final String description) {
        this.description = description;
    }

    /**
     * @return the option set
     */
    public String getFlag() {
        return flag;
    }

    /**
     * @param flag The option to set
     */
    public void setFlag(final String flag) {
        this.flag = flag;
    }

    /**
     * @return The parameter count
     */
    public int getParamCount() {
        return paramCount;
    }

    /**
     * @param paramCount to set
     */
    public void setParamCount(int paramCount) {
        this.paramCount = paramCount;
    }
}
