package com.extremelogic.common.jclap;

import java.util.HashMap;

/**
 * @author Jan So (extreme.logic at yahoo.com)
 */
public class ArgumentList extends HashMap<String, ArgumentWrapper> {

    /**
     * Eclipse generated UID.
     */
    private static final long serialVersionUID = 6123789958550671642L;

    /**
     * Default constructor.
     */
    public ArgumentList() {
        super();
    }

    /**
     * @param value the value to test
     * @return <code>true</code> if specified value exists;
     * otherwise <code>false</code>
     */
    public boolean containsFlag(final String value) {
        for (ArgumentWrapper item : this.values()) {
            if (item.getFlag().equals(value)) {
                return true;
            }
        }
        return false;
    }
}
